<!DOCTYPE html>
<html lang="en-ie">
<head>
    <meta charset="UTF-8"/>
    <title>SSH</title>
    <link href="images/favicon/favicon-16x16.png" rel="icon" type="image/png"/>
    <link href="stylesheets/index.css" rel="stylesheet" type="text/css"/>
    <script type="module" src="modify_ssh.js"></script>
</head>
<style>
    .center {
        margin-left: auto;
        margin-right: auto;
    }

    .center, .center th, .center td {
        border: 1px solid white;
    }

    .center {
        border-spacing: 0;
    }

    .center th, .center td {
        margin: 3px;
    }

    #key_table {
        display: none;
    }

    textarea {
        width: 650px;
        height: 57px;

    }

</style>
<body>
<div class="wrapper">
    <header class="page-header">
        <img alt="Sharky, our mascot" height="81.56" src="images/sharky.svg" width="145"/>
        <h1>Skynet Self Service</h1>
    </header>
    <main class="page-body">
        <h2>SSH</h2>
        <p>
            Add / Remove SSH Keys from your account.
        </p>
        <form id="ssh_form">
            <table id="table">
                <tr>
                    <td><label for="user">Username</label></td>
                    <td><input id="user" name="user" type="text"/> <br/></td>
                </tr>
                <tr>
                    <td><label for="pass">Password</label></td>
                    <td><input id="pass" name="pass" type="password"/> <br/></td>
                </tr>
                <tr>
                    <td colspan="2">
                        <button type="submit" id="get_keys"> Show current keys</button>
                    </td>
                </tr>
            </table>
        </form>
        <p id="formStatus"></p>

        <div> SSH Keys</div>
        <form id="add_key_form">
            <label for="key_input"></label>
            <textarea name="key_input" rows="4" cols="30" id="key_input"
                      placeholder="ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAINS2UR/o+nK8lNHHTj5I84ZAAp6P+ZhXqhedMfx0KHE4 My skynet key!"></textarea>
            <button type="button" id="add_key_button"> Add key</button>
        </form>
        <br>

        <table id="key_table" class="center">
            <tr>
                <th>Name</th>
                <th>Key</th>
                <th>Remove</th>
            </tr>
        </table>

    </main>
    <footer class="page-footer">
        UL Computer Society 2023-<span id="year">2023</span>
        <script>
            document.getElementById('year').textContent = new Date().getFullYear().toString()
        </script>
    </footer>
</div>
</body>
</html>
